{% extends 'base.html' %}
{% load i18n %}
{% load staticfiles %}
{% load tz %}

{% block head %}<link rel="stylesheet" href="{% static 'kiss_events/content-style.css' %}" type="text/css" media="screen" />{% endblock head %}

{% block title %}{% trans 'All events A-Z' %}{% endblock %}

{% block content %}
<div id="events-list">
  <div class="content-header">
    <h2>{% trans "All events A-Z"%}</h2>
    <ul class="content-options">
      <li><a href="{% url 'kiss_events:EventSubmit' %}">{% trans "Submit an event" %}</a></li>
      <li><a href="{% url 'kiss_events:AcceptedEventsSchedule' %}">{% trans "Schedule" %}</a></li>
    </ul>    
  </div>
  {% if program_in_preparation %}
  <div class="message">
    <p>{% trans 'The program is being prepared' %}</p>
  </div>
  {% endif %}
  {% if object_list %}
  <table class="events-table">
    <thead>
      <tr>
        <th>{% trans "Title" %}</th>
	<th>{% trans "Author(s)" %}</th>
	<th>{% trans "Type" %}</th>
	<th>{% trans "Duration (minutes)" %}</th>
	<th>{% trans "Schedule" %}</th>
	<th>{% trans "Place" %}</th>
      </tr>
    </thead>
    <tbody>
      {% for event in object_list %}
      <tr>
        <td><a href="{% url 'kiss_events:AcceptedEventDetail' event.id %}">{{ event.title|capfirst }}</a></td>
	<td>{{ event.authors_list }}</td>
	<td>{{ event.type }}</td>
	<td>{{ event.duration }}</td>
	{% if event.schedule %}
	<td>{{ event.schedule|localtime|date:"d F H:i" }}</td>
	{% else %}
	<td>-</td>
	{% endif %}
	{% if event.place %}
	<td>{{ event.place }}</td>
	{% else %}
	<td>-</td>
	{% endif %}
      </tr>
      {% endfor %}
    </tbody>
  </table>
  {% endif %}
</div>
{% endblock %}
